Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.config
Interface ServerConfig

All Known Implementing Classes:
  XMLServerConfig

    public interface ServerConfig

This class parses the XML configuration file and then contains all information from that file. It also holds an instance of ComponentRegistry and PipelineRegistry, which are fully initialized once the ServerConfig object is constructed.

Author:
  =peacekeeper

Method Summary
`ComponentRegistry` | `getComponentRegistry()` Gets the server's components.
`java.lang.String` | `getHostName()` Gets the host name from the server-wide properties.
`java.lang.String` | `getHostPort()` Gets the host port from the server-wide properties.
`PipelineRegistry` | `getPipelineRegistry()` Gets the server's pipelines.
`java.util.Properties` | `getProperties()` Gets the server-wide properties.
`java.lang.String` | `getServletPath()` Gets the servlet path from the server-wide properties.
`void` | `init()`

Method Detail

### init

    void init()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProperties

    java.util.Properties getProperties()

  Gets the server-wide properties.

### getComponentRegistry

    ComponentRegistry getComponentRegistry()

  Gets the server's components.

### getPipelineRegistry

    PipelineRegistry getPipelineRegistry()

  Gets the server's pipelines.

### getHostName

    java.lang.String getHostName()

  Gets the host name from the server-wide properties.

### getHostPort

    java.lang.String getHostPort()

  Gets the host port from the server-wide properties.

### getServletPath

    java.lang.String getServletPath()

  Gets the servlet path from the server-wide properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.